%global snapshot_date 20140530
%global snapshot_rev 430863ffea2f6101fbfc0ee35ee098ab2f96b53c
%global snapshot_rev_short %(echo %snapshot_rev | cut -c1-6)
%global branch trunk

Name:           mingw-w64-tools
Version:        3.1.999
Release:        %mkrel 0.8.%{branch}.git%{snapshot_rev_short}.%{snapshot_date}
Summary:        Supplementary tools which are part of the mingw-w64 toolchain

# http://sourceforge.net/mailarchive/forum.php?thread_name=5157C0FC.1010309%40users.sourceforge.net&forum_name=mingw-w64-public
# The tools gendef and genidl are GPLv3+, widl is LGPLv2+
License:        GPLv3+ and LGPLv2+

Group:          Development/Other
URL:            http://mingw-w64.sourceforge.net/
%if 0%{?snapshot_date}
# To regenerate a snapshot:
# Use your regular webbrowser to open https://sourceforge.net/p/mingw-w64/mingw-w64/ci/%{snapshot_rev}/tarball
# This triggers the SourceForge instructure to generate a snapshot
# After that you can pull in the archive with:
# spectool -g mingw-w64-tools.spec
Source0:        http://sourceforge.net/code-snapshots/git/m/mi/mingw-w64/mingw-w64.git/mingw-w64-mingw-w64-%{snapshot_rev}.zip
%else
Source0:        http://downloads.sourceforge.net/mingw-w64/mingw-w64-v%{version}.tar.bz2
%endif
# just to make widl to build on s390
Patch0:         %{name}-2.0.999-s390.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=1047727
Patch1:         %{name}-2.0.999-widl-includedir.patch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95


%description
Supplementary tools which are part of the mingw-w64 toolchain
It contains gendef, genidl and mingw-w64-widl


%prep
%if 0%{?snapshot_date}
rm -rf mingw-w64-v%{version}
mkdir mingw-w64-v%{version}
cd mingw-w64-v%{version}
unzip %{S:0}
%setup -q -D -T -n mingw-w64-v%{version}/mingw-w64-mingw-w64-%{snapshot_rev}
%else
%setup -q -n mingw-w64-v%{version}
%endif
%patch0 -p2 -b .s390
%patch1 -p1 -b .widl-includedir


%build
pushd mingw-w64-tools
    pushd gendef
        %configure2_5x
        make %{?_smp_mflags}
    popd

    pushd genidl
        %configure2_5x
        make %{?_smp_mflags}
    popd

    pushd widl
        # widl needs to be aware of the location of the IDL files belonging
        # to the toolchain. Therefore it needs to be built for both the win32
        # and win64 targets
        %global _configure ../configure
        export CONFIGURE_TOP=$PWD
        mkdir win32
        pushd win32
          %configure2_5x --target=%{mingw32_target} --program-prefix=%{mingw32_target}-
          make %{?_smp_mflags}
        popd
        mkdir win64
        pushd win64
          %configure2_5x --target=%{mingw64_target} --program-prefix=%{mingw64_target}-
          make %{?_smp_mflags}
        popd
    popd
popd


%install
pushd mingw-w64-tools
    make -C gendef DESTDIR=$RPM_BUILD_ROOT install
    make -C genidl DESTDIR=$RPM_BUILD_ROOT install
    make -C widl/win32 DESTDIR=$RPM_BUILD_ROOT install
    make -C widl/win64 DESTDIR=$RPM_BUILD_ROOT install
popd


%files
%doc COPYING
%{_bindir}/gendef
%{_bindir}/genidl
%{_bindir}/%{mingw32_target}-widl
%{_bindir}/%{mingw64_target}-widl




%changelog
* Tue Apr 05 2016 tv <tv> 3.1.999-0.8.trunk.git430863.20140530.mga6
+ Revision: 998681
- fix build: set CONFIGURE_TOP
- new release

* Mon Feb 15 2016 umeabot <umeabot> 2.0.999-0.9.trunk.r6228.20130403.4.mga6
+ Revision: 961490
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.999-0.9.trunk.r6228.20130403.3.mga5
+ Revision: 740099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.999-0.9.trunk.r6228.20130403.2.mga5
+ Revision: 682515
- Mageia 5 Mass Rebuild

* Sat Oct 26 2013 neoclust <neoclust> 2.0.999-0.9.trunk.r6228.20130403.1.mga4
+ Revision: 546996
- imported package mingw-w64-tools

